CobolThread (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.CobolThread class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol
Class CobolThread

    java.lang.Object
      java.lang.Thread
          com.microfocus.cobol.CobolThread

All Implemented Interfaces:
  Runnable

public class CobolThread
extends Thread

This is COBOL safe wrapper class for java.lang.Thread

Copyright: Copyright (c) 2002-2003
Company: Micro Focus International Ltd

Since:
  Net Express 4.0, Server Express 4.0
Version:
  3.4, 2/4/03

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CobolThread()` Construct for a thread that executes cobol
`CobolThread(Runnable target)` Constructor for a thread that executes cobol with a given target
`CobolThread(Runnable target, String name)` Constructor for a CobolThread given a target,name
`CobolThread(String name)` Constructor for a thread that executes cobol with a given name
`CobolThread(ThreadGroup group, Runnable target)` Constructor for a thread that executes cobol within a given group/target
`CobolThread(ThreadGroup group, Runnable target, String name)` Constructor for a thread that executes cobol within a given group/target/name
`CobolThread(ThreadGroup group, String name)` Constructor for a thread that executes cobol within a given group/name

Method Summary
`void` | `run()` run()

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CobolThread

    public CobolThread()

  Construct for a thread that executes cobol

### CobolThread

    public CobolThread(Runnable target)

  Constructor for a thread that executes cobol with a given target

Parameters:
  `target` -

### CobolThread

    public CobolThread(String name)

  Constructor for a thread that executes cobol with a given name

Parameters:
  `name` -

### CobolThread

    public CobolThread(Runnable target,
                       String name)

  Constructor for a CobolThread given a target,name

Parameters:
  `target` -
  `name` -

### CobolThread

    public CobolThread(ThreadGroup group,
                       Runnable target)

  Constructor for a thread that executes cobol within a given group/target

Parameters:
  `group` -
  `target` -

### CobolThread

    public CobolThread(ThreadGroup group,
                       Runnable target,
                       String name)

  Constructor for a thread that executes cobol within a given group/target/name

Parameters:
  `group` -
  `target` -
  `name` -

### CobolThread

    public CobolThread(ThreadGroup group,
                       String name)

  Constructor for a thread that executes cobol within a given group/name

Parameters:
  `group` -
  `name` -

Method Detail

### run

    public void run()

  run()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.